## cairo-dock-plug-ins 3.1.2

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)
include ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/GNUInstallDirs.cmake")

########### project ###############

project ("cairo-dock-plugins")
set (VERSION "3.1.2")

add_definitions (-std=c99 -Wall) # -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes -Wreturn-type -Wparentheses -Warray-bounds) # removed for stable versions: -Wstrict-prototypes #-Wunreachable-code -Wno-unused-parameter -Wall
if (NOT ${CMAKE_BUILD_TYPE})
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

############ sources tarball #############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES
	"/build/;/.bzr/;bzrignore$;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target(dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

############ uninstall #############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})

# get plug-ins install dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdir  # /usr/lib/cairo-dock # or /usr/lib/x86_64-linux-gnu/cairo-dock
    OUTPUT_VARIABLE pluginsdir)
STRING (REGEX REPLACE "\n" "" pluginsdir ${pluginsdir})  # remove the \n
# get plug-ins data dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdatadir  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE pluginsdatadir)
STRING (REGEX REPLACE "\n" "" pluginsdatadir ${pluginsdatadir})
# get prefix dir
execute_process(
    COMMAND pkg-config gldi --variable=prefix  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE prefix)
STRING (REGEX REPLACE "\n" "" prefix ${prefix})
# get GTK version (must be the same as the core, as GTK2 and GTK3 can't coexist at runtime)
execute_process(
    COMMAND pkg-config gldi --variable=gtkversion  # 2 or 3
    OUTPUT_VARIABLE gtkversion)
STRING (REGEX REPLACE "\n" "" gtkversion ${gtkversion})
# check that version matches with the core
execute_process(
    COMMAND pkg-config --modversion gldi  # 2.2.0-3
    OUTPUT_VARIABLE dock_version)
STRING (REGEX REPLACE "\n" "" dock_version ${dock_version})
if (NOT "${dock_version}" STREQUAL "${VERSION}")		# Version
	if ("${PACKAGEMENT}" STREQUAL "")
		MESSAGE (FATAL_ERROR "Error : version mismatch with the core : " ${VERSION} <> ${dock_version})
	else ()
		MESSAGE (WARNING "Warning : version mismatch with the core : " ${VERSION} <> ${dock_version})
	endif ()
endif()

# check that installation dir matches with the core
GET_FILENAME_COMPONENT(libdir "${pluginsdir}/.." ABSOLUTE)  # /usr/lib # or /usr/lib/x86_64-linux-gnu
GET_FILENAME_COMPONENT(datadir "${pluginsdatadir}/../.." ABSOLUTE)  # /usr/share
if (NOT "${CMAKE_INSTALL_PREFIX}" STREQUAL "${prefix}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" STREQUAL "${libdir}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}" STREQUAL "${datadir}")
	message (STATUS "It seems that the current CMAKE_INSTALL_{PREFIX,LIBDIR,DATAROOTDIR} flags are not the same that you have used with the core.")
	message (STATUS " It will be replaced by this value: ${prefix}")
	message (WARNING "Plug-ins should be installed in the same directory as the core, that is to say in ${pluginsdir}")
	set (CMAKE_INSTALL_PREFIX "${prefix}")
	#set (libdir "${CMAKE_INSTALL_PREFIX}/${libname}/cairo-dock")
endif()

if (NOT "${force-icon-in-menus}" STREQUAL "no")  # we believe that not showing icons in the menus by default is a terrible idea; unfortunately, it's not easily undoable for an end-user; so until this is fixed by a big player (Gnome, Ubuntu or other), we'll force the display, unless "-Dforce-icon-in-menus=yes" is provided in the cmake command.
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=1)
else()
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=0)
endif()

# set internationalisation
set (GETTEXT_PLUGINS "cairo-dock-plugins")
set (localedir "${prefix}/${CMAKE_INSTALL_LOCALEDIR}")
set (gaugesdir "${datadir}/cairo-dock/gauges")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")  # additionnal FindPackage files

set (MODULES_MISSING "")
set (MODULES_INTEGRATION_MISSING "")
set (PROGRAMS_MISSING "")

########### dependancies ###############

message ("")
message (STATUS "=====================")
message (STATUS "Check dependencies...")
message (STATUS "=====================")
message ("")

pkg_check_modules ("PACKAGE" REQUIRED "gldi")  # we check first the common libs that most plug-ins would need: basically, all the libs used by the core.
STRING (REGEX REPLACE "gldi;" "" PACKAGE_LIBRARIES "${PACKAGE_LIBRARIES}")  # but we don't want to link to gldi, since we are dl-opened by it.

add_definitions (-DGTK_DISABLE_DEPRECATED="1")

#############    GLIB    #################
pkg_check_modules (GLIB glib-2.0)
	STRING (REGEX REPLACE "\\..*" "" GLIB_MAJOR "${GLIB_VERSION}") # 2.28.3 => 2
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" GLIB_MINOR "${GLIB_VERSION}")  # 2.28.3 => 2.28
	STRING (REGEX REPLACE "\\.[0-9]*" "" GLIB_MINOR "${GLIB_MINOR}") # 2.28 => 28
	STRING (REGEX REPLACE ".*\\." "" GLIB_NANO "${GLIB_VERSION}") # 2.28.3 => 3
	STRING (REGEX REPLACE "-.*" "" GLIB_NANO "${GLIB_NANO}")

############# SHARED-FILES #################
set (shared_filesdatadir "${pluginsdatadir}/shared-files")
add_subdirectory (shared-files)

############# STATIC LIBRARIES ################
message (STATUS "> Static Libraries:")

############# GVFS-INTEGRATION ################
message (STATUS "> GVFS-Integration:")
pkg_check_modules ("LIBGIO" "gio-2.0")
add_subdirectory (gvfs-integration) 

############# INDICATOR-APPLET #################
message (STATUS "> Indicator-Applet:")
# Note: the names of dbusmenu-glib, dbusmenu-gtk and indicator have changed...
## DBusMenu Glib
set (DBUSMENU_MODULE dbusmenu-glib-0.4)
pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
if (NOT "${DBUSMENU_FOUND}")
	set (DBUSMENU_MODULE dbusmenu-glib)
	pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
	set (INDICATOR_APPLICATIONADDED_HAS_HINT 0) # doesn't have 'hint' with old version
else ()
	set (INDICATOR_APPLICATIONADDED_HAS_HINT 1) # now the ApplicationAdded signal (Status-Notifier) has a new parameter (hint) => https://code.launchpad.net/~ted/indicator-application/name-hints/+merge/67213
endif()

## DBusMenu Gtk
if ("${gtkversion}" STREQUAL "2")
	set (DBUSMENU_GTK_MODULE dbusmenu-gtk-0.4)
else()
	set (DBUSMENU_GTK_MODULE dbusmenu-gtk3-0.4)
endif()
pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
if (NOT "${DBUSMENU_GTK_FOUND}")
	if ("${gtkversion}" STREQUAL "2")
		set (DBUSMENU_GTK_MODULE dbusmenu-gtk)
	else()
		set (DBUSMENU_GTK_MODULE dbusmenu-gtk3)
	endif()
	pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
endif()

## Indicator
if ("${gtkversion}" STREQUAL "2")
	set (INDICATOR_APPLET_MODULE indicator-0.4)
else()
	set (INDICATOR_APPLET_MODULE indicator3-0.4)
endif()
pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
if ("${INDICATOR_APPLET_FOUND}" STREQUAL "1")
	set (INDICATOR_NEW_VERSION 1)  # oneiric and newer
else()
	if ("${gtkversion}" STREQUAL "2")
		set (INDICATOR_APPLET_MODULE indicator)
	else()
		set (INDICATOR_APPLET_MODULE indicator3)
	endif()
	pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
endif()

## libido
if ("${gtkversion}" STREQUAL "2")
	set (IDO_MODULE libido-0.1)
else()
	set (IDO_MODULE libido3-0.1)
endif()
pkg_check_modules (IDO ${IDO_MODULE})

## Extract versions of DBusMenu
if ("${DBUSMENU_FOUND}" STREQUAL "1" AND "${DBUSMENU_GTK_FOUND}" STREQUAL "1")
	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_MAJOR "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_MINOR "${DBUSMENU_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_MINOR "${DBUSMENU_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_NANO "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_NANO "${DBUSMENU_NANO}")

	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_GTK_MAJOR "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_NANO}")
	
	if (${DBUSMENU_GTK_MAJOR} GREATER 0 OR ${DBUSMENU_GTK_MINOR} GREATER 5
	    OR (${DBUSMENU_GTK_MINOR} EQUAL 5 AND ${DBUSMENU_GTK_NANO} GREATER 89))
		set (DBUSMENU_GTK3_NEW 1)
		set (INDICATOR_APPLICATIONADDED_HAS_TITLE 1) # Status-Notifier: new parameter "Title" in the "added" signal since Precise
	else()
		set (INDICATOR_APPLICATIONADDED_HAS_TITLE 0)
	endif()
endif()

## Extract version of indicator
if ("${INDICATOR_APPLET_FOUND}" STREQUAL "1")
	STRING (REGEX REPLACE "\\..*" "" INDICATOR_MAJOR "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" INDICATOR_MINOR "${INDICATOR_APPLET_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" INDICATOR_MINOR "${INDICATOR_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" INDICATOR_NANO "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "-.*" "" INDICATOR_NANO "${INDICATOR_NANO}")
	
	if (${INDICATOR_MAJOR} GREATER 0 OR ${INDICATOR_MINOR} GREATER 4
	    OR (${INDICATOR_MINOR} EQUAL 4 AND ${INDICATOR_NANO} GREATER 89))
		set (SOUND_SERVICE_VERSION 1) # Sound-Menu: new DBus path
		set (INDICATOR_MESSAGES_HAS_LOZENGE 1)   # Messaging Menu has 'right-is-lozenge'
	else() # older than Precise.
		set (SOUND_SERVICE_VERSION 0)
		set (INDICATOR_MESSAGES_HAS_LOZENGE 0)
	endif()

	if ("${INDICATOR_NEW_VERSION}" STREQUAL "1")  # oneiric and newer
		if ("${gtkversion}" STREQUAL "2")
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator-0.4
				OUTPUT_VARIABLE INDICATORICONSDIR)
		else()
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator3-0.4
				OUTPUT_VARIABLE INDICATORICONSDIR)
			execute_process(
				COMMAND pkg-config --variable=indicatordir indicator3-0.4
				OUTPUT_VARIABLE INDICATORDIR)
			STRING (REGEX REPLACE "\n" "" INDICATORDIR ${INDICATORDIR})
			set (with_indicator3 "yes")
			message (STATUS "  Indicators: with Indicator3 support")
		endif()
	else()
		if ("${gtkversion}" STREQUAL "2")
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator
				OUTPUT_VARIABLE INDICATORICONSDIR)
		else()
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator3
				OUTPUT_VARIABLE INDICATORICONSDIR)
		endif()
	endif()
	STRING (REGEX REPLACE "\n" "" INDICATORICONSDIR ${INDICATORICONSDIR})  # la commande rajoute un retour chariot ...
	if ("${with_indicator3}" STREQUAL "yes")
		add_subdirectory (Indicator-applet3)
	endif()
	## DBusMenu is needed for Indicator-applet
	if ("${DBUSMENU_FOUND}" STREQUAL "1" AND "${DBUSMENU_GTK_FOUND}" STREQUAL "1")
		add_subdirectory (Indicator-applet)
		set (with_indicator "yes")
	endif()
endif()

if (NOT "${DBUSMENU_FOUND}" STREQUAL "1" OR NOT "${DBUSMENU_GTK_FOUND}" STREQUAL "1" OR NOT "${INDICATOR_APPLET_FOUND}" STREQUAL "1")

=== Global-Menu/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(data)
 
if ("${PYTHON_FOUND}" STREQUAL "TRUE")
	add_subdirectory(registrar)
endif()

=== Indicator-applet3/CMakeLists.txt ===

SET(impl_SRCS
	indicator-applet3.c			indicator-applet3.h
	indicator-applet3-utils.c	indicator-applet3-utils.h
)

add_library(indicator-applet3 STATIC ${impl_SRCS})

# Needed for amd64 architecture
add_definitions (-fPIC)
add_definitions (-DINDICATOR_DIR="${INDICATORDIR}")

link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS})

########### install files ###############

=== Status-Notifier/CMakeLists.txt ===

add_subdirectory(src)
add_subdirectory(data)

if ("${PYTHON_FOUND}" STREQUAL "TRUE")
	add_subdirectory(watcher)
endif()

=== Animated-icons/src/CMakeLists.txt ===

########### next target ###############

SET(cd-Animated-icons_LIB_SRCS
	applet-init.c 			applet-init.h
	applet-config.c 		applet-config.h
	applet-rotation.c 		applet-rotation.h
	applet-mesh-factory.c 	applet-mesh-factory.h
	applet-notifications.c 	applet-notifications.h
	applet-spot.c 			applet-spot.h
	applet-rays.c 			applet-rays.h
	applet-wobbly.c 		applet-wobbly.h
	applet-wave.c 			applet-wave.h
	applet-pulse.c 			applet-pulse.h
	applet-bounce.c 		applet-bounce.h
	applet-blink.c 			applet-blink.h
	applet-busy.c 			applet-busy.h
	applet-unfold.c 		applet-unfold.h
	applet-struct.h
	chrome-tex.h
)

add_library(${PACKAGE_ANIMATED_ICONS} SHARED ${cd-Animated-icons_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${animated_iconsdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Animated-icons.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Animated-icons")
add_definitions (-DMY_APPLET_VERSION="${VERSION_ANIMATED_ICONS}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_ANIMATED_ICONS}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

include_directories (
	${PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_ANIMATED_ICONS}
	${PACKAGE_LIBRARIES})

install(TARGETS ${PACKAGE_ANIMATED_ICONS} DESTINATION ${pluginsdir})


########### install files ###############




#original Makefile.am contents follow:

# #dnl Process this file with automake to produce Makefile.in
#
#lib_LTLIBRARIES = 
#	libcd-Animated-icons.la
#
#
#libcd_Animated_icons_la_SOURCES = 
#	applet-init.c
#	applet-init.h
#	applet-config.c
#	applet-config.h
#	applet-rotation.c
#	applet-rotation.h
#	applet-struct.h
#	applet-mesh-factory.c
#	applet-mesh-factory.h
#	applet-notifications.c
#	applet-notifications.h
#	applet-spot.c
#	applet-spot.h
#	applet-rays.c
#	applet-rays.h
#	applet-wobbly.c
#	applet-wobbly.h
#	applet-wave.c
#	applet-wave.h
#	applet-pulse.c
#	applet-pulse.h
#	applet-bounce.c
#	applet-bounce.h
#	applet-blink.c
#	applet-blink.h
#	applet-unfold.c
#	applet-unfold.h
#	chrome-tex.h
#
#
#dock_version = `pkg-config --modversion cairo-dock`
#
#libcd_Animated_icons_la_CFLAGS = 
#	-I$(top_srcdir)/src
#	$(PACKAGE_CFLAGS)
#	-DMY_APPLET_SHARE_DATA_DIR=""${animated_iconsdatadir)""
#	-DMY_APPLET_PREVIEW_FILE=""preview.jpg""
#	-DMY_APPLET_CONF_FILE=""Animated-icons.conf""
#	-DMY_APPLET_USER_DATA_DIR=""Animated-icons""
#	-DMY_APPLET_VERSION=""${VERSION_ANIMATED_ICONS)""
#	-DMY_APPLET_GETTEXT_DOMAIN=""${GETTEXT_ANIMATED_ICONS)""
#	-DMY_APPLET_DOCK_VERSION=""${dock_version)""
#	-DMY_APPLET_ICON_FILE=""icon.svg""
#	-DGL_GLEXT_PROTOTYPES=""1""
#	-std=c99
#	-Werror-implicit-function-declaration
##	-g -ggdb -W -Wall
#
#
#libcd_Animated_icons_la_LIBADD = 
#	$(PACKAGE_LIBS) -lm
#
#
#libcd_Animated_icons_la_LDFLAGS =
#	-avoid-version -module

=== Dbus/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Dbus.conf
	icon.svg
	DESTINATION ${dbusdatadir})

# Unity API ## need SetMenu => DBusMenu
if (${DBUSMENU_GTK_FOUND})
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cairo-dock-unity-bridge.py.in ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock-unity-bridge.py)

	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock-unity-bridge.py
		DESTINATION ${pluginsdir}
		RENAME cairo-dock-unity-bridge
		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
endif()

=== Dbus/src/CMakeLists.txt ===

########### sources ###############

SET (cd-Dbus_LIB_SRCS
	applet-init.c 			applet-init.h
	applet-config.c 			applet-config.h
	applet-dbus.c 			applet-dbus.h
	interface-main-methods.c 	interface-main-methods.h
	interface-applet-object.c 	interface-applet-object.h
	interface-applet-methods.c 	interface-applet-methods.h
	interface-applet-signals.c 	interface-applet-signals.h
	dbus-applet-spec.h
	dbus-sub-applet-spec.h
	dbus-main-spec.h
	applet-struct.h
)

add_library (${PACKAGE_DBUS} SHARED ${cd-Dbus_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${dbusdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="none")
add_definitions (-DMY_APPLET_CONF_FILE="Dbus.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Dbus")
add_definitions (-DMY_APPLET_VERSION="${VERSION_DBUS}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_DBUS}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DCD_PLUGINS_DIR="${pluginsdir}")

if ("${DBUSMENU_FOUND}" STREQUAL "1" AND "${DBUSMENU_GTK_FOUND}" STREQUAL "1")
	message (STATUS " * With DBusMenu support")
	add_definitions (-DDBUSMENU_GTK_FOUND=1)
	if (${DBUSMENU_GTK3_NEW})
		add_definitions (-DDBUSMENU_GTK3_NEW=1)
	endif()

	include_directories (
		${DBUSMENU_INCLUDE_DIRS}
		${DBUSMENU_GTK_INCLUDE_DIRS}
		${PACKAGE_INCLUDE_DIRS})

	link_directories (
		${DBUSMENU_LIBRARY_DIRS}
		${DBUSMENU_GTK_LIBRARY_DIRS}
		${PACKAGE_LIBRARY_DIRS})

	target_link_libraries (${PACKAGE_DBUS}
		${DBUSMENU_LIBRARIES}
		${DBUSMENU_GTK_LIBRARIES}
		${PACKAGE_LIBRARIES})
else()
	include_directories (
		${PACKAGE_INCLUDE_DIRS})

	link_directories (
		${PACKAGE_LIBRARY_DIRS})

	target_link_libraries (${PACKAGE_DBUS}
		${PACKAGE_LIBRARIES})
endif()

########### install files ###############

install (TARGETS ${PACKAGE_DBUS} DESTINATION ${pluginsdir})

=== Global-Menu/registrar/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/appmenu-registrar.py.in ${CMAKE_CURRENT_BINARY_DIR}/appmenu-registrar.py)

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appmenu-registrar.py
	DESTINATION ${pluginsdir}
	RENAME appmenu-registrar
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

=== Messaging-Menu/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-notifications.c 		applet-notifications.h
)

# 12.10
if (${INDICATOR_MESSAGES_12_10})
	list (APPEND MODULE_SRCS applet-indicator3.c)
else ()
	list (APPEND MODULE_SRCS applet-messaging.c applet-menu.c)
endif()

add_library(${PACKAGE_MESSAGING_MENU} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${messaging_menudatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Messaging-Menu.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Messaging-Menu")
add_definitions (-DMY_APPLET_VERSION="${VERSION_MESSAGING_MENU}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_MESSAGING_MENU}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DINDICATOR_OLD_NAMES=${INDICATOR_OLD_NAMES})
add_definitions (-DINDICATOR_MESSAGES_HAS_LOZENGE=${INDICATOR_MESSAGES_HAS_LOZENGE})
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")
if (${DBUSMENU_GTK3_NEW})
	add_definitions (-DDBUSMENU_GTK3_NEW=1)
endif()

if (${INDICATOR_MESSAGES_12_10})
	message (STATUS "   With Indicator-Applet3")
	add_definitions (-DINDICATOR_MESSAGES_12_10=1)
	set (EXTRAS_INCLUDE_DIRS ${CMAKE_SOURCE_DIR}/Indicator-applet3)
	set (EXTRAS_LIBRARY_DIRS ${CMAKE_SOURCE_DIR}/Indicator-applet3)
	set (EXTRAS_LIBRARIES indicator-applet3)
else()
	set (EXTRAS_INCLUDE_DIRS ${DBUSMENU_INCLUDE_DIRS} ${DBUSMENU_GTK_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/Indicator-applet)
	set (EXTRAS_LIBRARY_DIRS ${DBUSMENU_LIBRARY_DIRS} ${DBUSMENU_GTK_LIBRARY_DIRS} ${CMAKE_SOURCE_DIR}/Indicator-applet)
	set (EXTRAS_LIBRARIES ${DBUSMENU_LIBRARIES} ${DBUSMENU_GTK_LIBRARIES} indicator-applet)
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS}
	${EXTRAS_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS}
	${EXTRAS_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_MESSAGING_MENU}
	${PACKAGE_LIBRARIES}
	${INDICATOR_APPLET_LIBRARIES}
	${EXTRAS_LIBRARIES})
########### install files ###############

install(TARGETS ${PACKAGE_MESSAGING_MENU} DESTINATION ${pluginsdir})

=== Printers-Menu/data/CMakeLists.txt ===

########### install files ###############

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/Printers-Menu.conf
	preview.jpg
	icon.png
	DESTINATION ${printers_menudatadir})

=== Printers-Menu/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-notifications.c 		applet-notifications.h
	applet-indicator3.c			applet-indicator3.h
)

add_library(${PACKAGE_PRINTERS_MENU} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${printers_menudatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Printers-Menu.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Printers-Menu")
add_definitions (-DMY_APPLET_VERSION="${VERSION_PRINTERS_MENU}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_PRINTERS_MENU}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet3)

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet3)

target_link_libraries (${PACKAGE_PRINTERS_MENU}
	${PACKAGE_LIBRARIES}
	${INDICATOR_APPLET_LIBRARIES}
	indicator-applet3)

########### install files ###############

install(TARGETS ${PACKAGE_PRINTERS_MENU} DESTINATION ${pluginsdir})

=== Status-Notifier/watcher/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/status-notifier-watcher.py.in ${CMAKE_CURRENT_BINARY_DIR}/status-notifier-watcher.py)

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/status-notifier-watcher.py
	DESTINATION ${pluginsdir}
	RENAME status-notifier-watcher
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

=== debian/changelog ===
cairo-dock-plug-ins (3.1.2-0ubuntu1) raring; urgency=low

  * New upstream release. (bug-fix version)
  * Detailed Upstream ChangeLog:
    - Clock: If seconds are not shown, redrawn the applet each time at 00
       second (before the timer wasn't started with a delay and the applet
       was redrawn between 00 and 60 seconds)
    - GMenu: Editor: also check if 'menulibre' is available
    - RSSreader:
      - Make the text selectable in the dialog
      + Fixed incorrect duration of the dialog when no URL/connection 
    - MusicPlayer: if the music player has given a wrong .desktop filename,
       check if it's a valid name before doing something more
    - Status-Notifier:
      + When the icon theme changes, remove the previous one first
      + Position of the Menu: e.g. with Dropbox: the menu is out of the
         screen every time something has changed in this menu (it displays
         'connecting', free space available, etc.): we need to reposition it.
      + Fixed lots of corner cases (mainly for Skype)
      + Added full support of the Ubuntu indicator application API, for
         program that only use this one (and not the standard Status-Notifier
         API), like Skype
      + Implemented an horrible hack for Skype (it only creates its item when
         the host appears, not if the host already exists)
      + Updated the property HasStatusNotifierHostRegistered to
         IsStatusNotifierHostRegistered
      + Check for item unicity on creation (fixes the Skype double item)
      + E.g. with Dropbox, the menu is firstly drawn out of the screen and
         then it's ok 
    - Misc.:
      + CMakeLists.txt: DBusMenu GLib and GTK are needed for Indicator-Applet
  * debian/control:
    - Bump Cairo-Dock versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Thu, 06 Dec 2012 19:00:53 +0100

cairo-dock-plug-ins (3.1.1-0ubuntu1) raring; urgency=low

  * New upstream release. (bug-fix version)
  * Detailed Upstream Changelog:
    - Application Menu:
      + Recent-Menu was on a wrong section after an update of the menu
        (e.g. when a program was added/removed)
      + Menu: file name: firstly checked with XDG_MENU_PREFIX env variable
        (e.g. to use 'xfce-applications.menu' instead of 'applications.menu'
        in XFCE)
    - Clock: we need to include 'gdk/gdkkeysyms.h' for older versions of Gtk2
    - Dialogues: avoid using blocking dialogues (except if it's needed)
    - Dock-rendering: clean the dock correctly when switching from a 'Panel'
      view to another one.
    - Keyboard:
      + Forgot to replace the old (and temporally) emblems for CapsLock/NumLock
      + Gtk3: Used GDK functions to get the num/caps lock states because it
        seems it doesn't work very well with xKlavier functions with recent
        versions.
      + Clean old code
    - MusicPlayer:
      + Songs dropped on the icon were not enqueued
      + Mpris2: some players are not able to give a 'int64' value for
        'mpris:length'
      + If the music player gives us a '.desktop' filename, check first if it's
        a valid name before doing something more (e.g. Amarok give us a wrong
        name and then, it was not possible to re-launch Amarok from this applet)
    - Shortcuts:
      + Fixed a possible crash if the removed icon was at the beginning of the
        list
      + Allowed shortcuts like 'Browse Network', 'Browse recent files', and
        'Open Trash' to quickly open the corresponding URI
    - Sound Control:
      + Alsa backend: Handled this case: the default card is not the card that
        we want to control
      + When setting the volume while the output is mute, un-mute it
    - Status-Notifier:
      + Fixed a typo with the version of its .conf file
      + Don't add an empty icon path to the icons theme
    - Third-party applet: Store the icon name in order to use a new icon if
      the icon theme changes
    - Misc.:
      + Compilation: Status-Notifier: fixed a compilation error if 'indicator'
        is not found.
      + Updated translations
  * debian/control:
    - Bump Cairo-Dock versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sat, 10 Nov 2012 23:53:09 +0100

=== debian/control ===
Source: cairo-dock-plug-ins
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@ubuntu.com>, Julien Lavergne <julien.lavergne@gmail.com>, Matthew Walker <matthaeus123@gmail.com>, Fabrice Rey <fabounet@glx-dock.org>
Build-Depends: cdbs,
               cli-common-dev (>= 0.7),
               cmake,
               debhelper (>= 8.1.3),
               libasound2-dev,
               libcairo2-dev (>= 1.8.0),
               libcurl4-gnutls-dev,
               libdbus-glib-1-dev,
               libdbusmenu-glib-dev,
               libdbusmenu-gtk3-dev,
               libetpan-dev,
               libexif-dev,
               libgl1-mesa-dev | libgl-dev,
               libgldi-dev (>= 3.1.2),
               libglib2.0-cil-dev,
               libglib2.0-dev (>= 2.20),
               libglu1-mesa-dev | libglu-dev,
               libgnome-menu-dev,
               libgnutls-dev,
               libgtk-3-dev,
               libical-dev,
               libido3-0.1-dev,
               libindicator3-dev,
               libndesk-dbus-glib1.0-cil-dev,
               libndesk-dbus1.0-cil-dev,
               libpango1.0-dev,
               libpulse-dev,
               librsvg2-dev (>= 2.22.0),
               libsensors4-dev,
               libupower-glib-dev,
               libvte-2.90-dev,
               libwebkitgtk-3.0-dev,
               libxklavier-dev,
               libxml2-dev,
               libxtst-dev,
               libxxf86vm-dev,
               libzeitgeist-dev,
               mono-devel,
               mono-gmcs,
               python,
               ruby,
               valac,
               x11proto-xf86vidmode-dev
Standards-Version: 3.9.3
Homepage: http://www.glx-dock.org/

Package: cairo-dock-plug-ins-integration
Section: graphics
Architecture: any
Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: cairo-dock-plug-ins (<= 2.0.8.0)
Depends: cairo-dock-core (>= 3.1.2),
         cairo-dock-plug-ins-data (>= ${source:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: gvfs
Multi-Arch: same
Description: Plug-ins for Cairo-Dock for a better integration in GNOME, KDE and Xfce
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains plug-ins for a better integration in GNOME, KDE and Xfce.

Package: cairo-dock-plug-ins
Section: graphics
Architecture: any
Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
Depends: cairo-dock-core (>= 3.1.2),
         cairo-dock-plug-ins-data (>= ${source:Version}),
         curl,
         python,
         wget,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: cairo-dock-plug-ins-dbus-interface-python (>= ${source:Version}),
            cairo-dock-plug-ins-integration (>= ${source:Version})
Suggests: cairo-dock-plug-ins-dbus-interface-mono (>= ${source:Version}),
          cairo-dock-plug-ins-dbus-interface-ruby (>= ${source:Version}),
          cairo-dock-plug-ins-dbus-interface-vala (>= ${source:Version}),
          compiz,
          gnote,
          indicator-messages,
          indicator-sound
Multi-Arch: same
Description: Set of plug-ins for Cairo-Dock
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.

Package: cairo-dock-plug-ins-data
Section: graphics
Architecture: all
Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: cairo-dock-data (<< 3.0.0.1), cairo-dock-plug-ins (<= 2.0.8.0)
Breaks: cairo-dock-data (<< 3.0.0.1)
Depends: ${misc:Depends}
Description: Common files for cairo-dock-plug-ins
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains all images, locales and configuration files for
 cairo-dock-plug-ins.

Package: cairo-dock-plug-ins-dbus-interface-python
Section: graphics
Architecture: all
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}), python, ${misc:Depends}
Description: Python interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Python interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-vala
Section: graphics
Architecture: any
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0),
          cairo-dock-plug-ins-data (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0),
        cairo-dock-plug-ins-data (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: valac
Multi-Arch: same
Description: Vala interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Vala interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-ruby
Section: graphics
Architecture: any
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}), ruby, ${misc:Depends}
Description: Ruby interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Ruby interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-mono
Section: graphics
Architecture: any
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}),
         ${cli:Depends},
         ${misc:Depends}
Description: Mono interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Mono interface for the DBus plug-in.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DH_ALWAYS_EXCLUDE=CVS:.bzr

DEB_CMAKE_EXTRA_FLAGS += -Denable-gnome-integration=yes \
	-Denable-old-gnome-integration=no \
	-Denable-kde-integration=yes \
	-Denable-xfce-integration=yes \
	-DGMCS_EXECUTABLE=/usr/bin/mono-csc \
	-DROOT_PREFIX=$(CURDIR)/debian/tmp \
	-DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
# include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_INSTALL_CHANGELOGS_ALL := ChangeLog

common-binary-predeb-arch::
	dh_clifixperms
	dh_clideps -d

get-orig-source:
	dh_testdir
	uscan --force-download --verbose --repack
